Request cancellation of an in-flight ingestion task.
Request cancellation of an in-flight ingestion task.
POST
https://staging.softsolz.uk/api/v1/services/smart-chat/tasks/{task_id}/cancelRecent Requests
Log in to see full request historyTimeStatusUser Agent
Make a request to see history.
Path Params
task_idstringrequiredHeaders
AuthorizationstringrequiredBearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.
Idempotency-KeystringOptional idempotency key for safe retries.
Response
Response Body
task_idstringThe task id.statusstringStatus after the cancel request.Request
import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.smartChat.cancelTask('<task_id>', {});console.log(result);Credentials
Sent as a Bearer token. Stored only in your browser.
Response · 200
{ "data": { "task_id": "string", "status": "string" }}